import java.awt.*;
import java.awt.image.BufferedImage;
import java.awt.event.KeyEvent;
import java.util.ArrayList;

/**
 * Write a description of class BillEndingStory here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class BillEndingStory extends Scene
{
    Sprite background;
    
    Sound bgm;
    

    public static void main(String[] args)
    {   
        //note on scenes:
        //lvl 1 = grass
        //lvl 2 = space
        //lvl 3 = boss
        //main = menu
        //instruction
        //all are preceeded by Bill
        GameManager.get().changeScene( "BillEndingStory" );  
    }
    
    public void load()
    {
        background = new Sprite(0,10, "background", Imager.loadImage("\\Art Assets\\Maps\\ending.png"));
        background.update();
        
        bgm = new Sound("\\Art Assets\\Sounds\\Music\\endingText.wav");
        bgm.setLoop(true);
        bgm.play();
    }
    
    public void update(double dt)
    {
        ArrayList<Integer> input = GameManager.get().getActiveKeys();
        
        if(!input.isEmpty())
        {
            input.clear();
            GameManager.get().changeScene("BillMain");
            bgm.end();
        }
    }
    
    public void draw(Graphics2D g2d)
    {
        background.render(g2d);
    }
    
    public void unload()
    {
        
    }
}
