import java.awt.*;
import java.awt.image.BufferedImage;
import java.awt.event.KeyEvent;
import java.util.ArrayList;

/**
 * Write a description of class BillGameOver here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class BillGameOver extends Scene
{
    
    Sprite background;
    
    Sound BGM;

    public static void main(String[] args)
    {   
        //note on scenes:
        //lvl 1 = grass
        //lvl 2 = space
        //lvl 3 = boss
        //main = menu
        //instruction
        //all are preceeded by Bill
        GameManager.get().changeScene( "BillGameOver" );  
    }
    
    public void load()
    {
        background = new Sprite(0,10, "background", Imager.loadImage("\\Art Assets\\Maps\\losingscreen.bmp"));
        background.update();
        
        BGM = new Sound("\\Art Assets\\Sounds\\Music\\missionMusic.wav");
        BGM.setLoop(true);
        BGM.play();
    }
    
    public void update(double dt)
    {
        ArrayList<Integer> input = GameManager.get().getActiveKeys();
        
        if(!input.isEmpty())
        {
            input.clear();
            BGM.end();
            GameManager.get().changeScene("BillMain");
        }
    }
    
    public void draw(Graphics2D g2d)
    {
        background.render(g2d);
    }
    
    public void unload()
    {
        
    }
}
